Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V0.9 Release 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.jdic.filetypes
Class AssociationNotRegisteredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jdesktop.jdic.filetypes.AssociationException
                  org.jdesktop.jdic.filetypes.AssociationNotRegisteredException

All Implemented Interfaces:
  java.io.Serializable

public class AssociationNotRegisteredException
extends AssociationException

An `AssociationNotRegisteredException` is thrown by certain methods of `AssociationService` while trying to remove an association not existed in the system.

See Also:
  `AssociationService`, Serialized Form

Constructor Summary
`AssociationNotRegisteredException()` Constructs an `AssociationNotRegisteredException` object with no detail message.
`AssociationNotRegisteredException(java.lang.String msg)` Constructs an `AssociationNotRegisteredException` object with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssociationNotRegisteredException

    public AssociationNotRegisteredException()

  Constructs an `AssociationNotRegisteredException` object with no detail message.

### AssociationNotRegisteredException

    public AssociationNotRegisteredException(java.lang.String msg)

  Constructs an `AssociationNotRegisteredException` object with the specified detail message.

Parameters:
  `msg` - the detail message pertaining to this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V0.9 Release 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For more information and documentation on JDIC, see JDIC website.

That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, working code examples, license terms and bug report information.

Copyright (c) 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.